Upstream information

CVE-2014-3421 at MITRE

Description

lisp/gnus/gnus-fun.el in GNU Emacs 24.3 and earlier allows local users to overwrite arbitrary files via a symlink attack on the /tmp/gnus.face.ppm temporary file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:L/AC:M/Au:N/C:N/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 876847 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • emacs >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Patchnames:
sledsp3-emacs
SUSE Linux Enterprise Desktop 12
  • emacs >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Desktop 12 GA emacs
SUSE Linux Enterprise Desktop 12 SP1
  • emacs >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA emacs
SUSE Linux Enterprise Desktop 12 SP2
  • emacs >= 24.3-16.32
  • emacs-info >= 24.3-16.32
  • emacs-x11 >= 24.3-16.32
  • etags >= 24.3-16.32
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA emacs
SUSE Linux Enterprise Desktop 12 SP3
  • emacs >= 24.3-19.2
  • emacs-info >= 24.3-19.2
  • emacs-x11 >= 24.3-19.2
  • etags >= 24.3-19.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA emacs
SUSE Linux Enterprise Module for Basesystem 15
  • emacs >= 25.3-1.124
  • emacs-el >= 25.3-1.124
  • emacs-info >= 25.3-1.124
  • emacs-nox >= 25.3-1.124
  • etags >= 25.3-1.124
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA emacs
SUSE Linux Enterprise Module for Desktop Applications 15
  • emacs-x11 >= 25.3-1.124
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA emacs-x11
SUSE Linux Enterprise Server 11 SP3
  • emacs >= 22.3-4.42.1
  • emacs-el >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-nox >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Patchnames:
slessp3-emacs
SUSE Linux Enterprise Server 11 SP4
  • emacs >= 22.3-4.42.1
  • emacs-el >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-nox >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA emacs
SUSE Linux Enterprise Server 12
  • emacs >= 24.3-14.44
  • emacs-el >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-nox >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Server 12 GA emacs
SUSE Linux Enterprise Server 12 SP1
  • emacs >= 24.3-14.44
  • emacs-el >= 24.3-14.44
  • emacs-info >= 24.3-14.44
  • emacs-nox >= 24.3-14.44
  • emacs-x11 >= 24.3-14.44
  • etags >= 24.3-14.44
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA emacs
SUSE Linux Enterprise Server 12 SP2
  • emacs >= 24.3-16.32
  • emacs-el >= 24.3-16.32
  • emacs-info >= 24.3-16.32
  • emacs-nox >= 24.3-16.32
  • emacs-x11 >= 24.3-16.32
  • etags >= 24.3-16.32
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA emacs
SUSE Linux Enterprise Server 12 SP3
  • emacs >= 24.3-19.2
  • emacs-el >= 24.3-19.2
  • emacs-info >= 24.3-19.2
  • emacs-nox >= 24.3-19.2
  • emacs-x11 >= 24.3-19.2
  • etags >= 24.3-19.2
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA emacs
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • emacs >= 24.3-16.32
  • emacs-el >= 24.3-16.32
  • emacs-info >= 24.3-16.32
  • emacs-nox >= 24.3-16.32
  • emacs-x11 >= 24.3-16.32
  • etags >= 24.3-16.32
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA emacs
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • emacs >= 22.3-4.42.1
  • emacs-el >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-nox >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Patchnames:
slessp3-emacs
SUSE Linux Enterprise Server for VMWare 11 SP3
  • emacs >= 22.3-4.42.1
  • emacs-el >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-nox >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Patchnames:
slessp3-emacs
SUSE Linux Enterprise Software Development Kit 11 SP3
  • emacs-nox >= 22.3-4.42.1
Patchnames:
sdksp3-emacs
SUSE Linux Enterprise Software Development Kit 11 SP4
  • emacs-nox >= 22.3-4.42.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA emacs-nox
SUSE Linux Enterprise Software Development Kit 11 SP3
  • emacs-nox >= 22.3-4.42.1
Builds
SAT Patch Nr: 10519
SUSE Linux Enterprise Desktop 11 SP3
  • emacs >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Builds
SAT Patch Nr: 10519
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • emacs >= 22.3-4.42.1
  • emacs-el >= 22.3-4.42.1
  • emacs-info >= 22.3-4.42.1
  • emacs-nox >= 22.3-4.42.1
  • emacs-x11 >= 22.3-4.42.1
Builds
SAT Patch Nr: 10519
openSUSE 13.1
  • emacs >= 24.3-6.14.2
  • emacs-debuginfo >= 24.3-6.14.2
  • emacs-debugsource >= 24.3-6.14.2
  • emacs-el >= 24.3-6.14.2
  • emacs-info >= 24.3-6.14.2
  • emacs-nox >= 24.3-6.14.2
  • emacs-nox-debuginfo >= 24.3-6.14.2
  • emacs-x11 >= 24.3-6.14.2
  • emacs-x11-debuginfo >= 24.3-6.14.2
  • etags >= 24.3-6.14.2
  • etags-debuginfo >= 24.3-6.14.2
Patchnames:
openSUSE-2014-692
openSUSE Leap 15.0
  • emacs >= 25.3-lp150.1.47
  • emacs-info >= 25.3-lp150.1.47
  • emacs-nox >= 25.3-lp150.1.47
  • etags >= 25.3-lp150.1.47
Patchnames:
openSUSE Leap 15.0 GA emacs
openSUSE Leap 42.1
  • emacs >= 24.3-18.7
  • emacs-info >= 24.3-18.7
  • emacs-nox >= 24.3-18.7
  • emacs-x11 >= 24.3-18.7
  • etags >= 24.3-18.7
Patchnames:
openSUSE Leap 42.1 GA emacs
openSUSE Leap 42.2
  • emacs >= 24.3-20.14
  • emacs-info >= 24.3-20.14
  • emacs-nox >= 24.3-20.14
  • emacs-x11 >= 24.3-20.14
  • etags >= 24.3-20.14
Patchnames:
openSUSE Leap 42.2 GA emacs
openSUSE Leap 42.3
  • emacs >= 24.3-26.2
  • emacs-info >= 24.3-26.2
  • emacs-nox >= 24.3-26.2
  • emacs-x11 >= 24.3-26.2
  • etags >= 24.3-26.2
Patchnames:
openSUSE Leap 42.3 GA emacs
openSUSE Tumbleweed
  • emacs >= 25.1-1.1
  • emacs-el >= 25.1-1.1
  • emacs-info >= 25.1-1.1
  • emacs-nox >= 25.1-1.1
  • emacs-x11 >= 25.1-1.1
  • etags >= 25.1-1.1
Patchnames:
openSUSE Tumbleweed GA emacs


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 emacs Affected
SUSE Linux Enterprise Desktop 11 SP2 emacs Affected
SUSE Linux Enterprise Desktop 11 SP3 emacs Affected
SUSE Linux Enterprise Desktop 11 SP4 emacs Affected
SUSE Linux Enterprise SDK 11 SP1 emacs Affected
SUSE Linux Enterprise SDK 11 SP2 emacs Affected
SUSE Linux Enterprise SDK 11 SP3 emacs Affected
SUSE Linux Enterprise SDK 11 SP4 emacs Affected
SUSE Linux Enterprise Server 10 SP4 LTSS emacs Released
SUSE Linux Enterprise Server 11 SP1 emacs Affected
SUSE Linux Enterprise Server 11 SP1 LTSS emacs Affected
SUSE Linux Enterprise Server 11 SP2 emacs Affected
SUSE Linux Enterprise Server 11 SP2 LTSS emacs Affected
SUSE Linux Enterprise Server 11 SP3 emacs Affected
SUSE Linux Enterprise Server 11 SP3 LTSS emacs Affected
SUSE Linux Enterprise Server 11 SP4 emacs Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 emacs Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 emacs Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 emacs Affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 emacs Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 emacs Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 emacs Affected